com.aliyun.svideosdk.common.struct.common

## Class AliyunVideoParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunVideoParam.Builder

- Enclosing class:
    AliyunVideoParam

      public static class AliyunVideoParam.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunVideoParam.Builder` | `bitrate(int bitrate)` Sets the output bitrate.
    `AliyunVideoParam` | `build()`
    `AliyunVideoParam.Builder` | `crf(int crf)` Sets the CRF value.
    `AliyunVideoParam.Builder` | `frameRate(int frameRate)` Sets the output frame rate.
    `AliyunVideoParam.Builder` | `gop(int gop)` Sets the output GOP size.
    `AliyunVideoParam.Builder` | `outputHeight(int outputHeight)` Sets the output height.
    `AliyunVideoParam.Builder` | `outputWidth(int outputWidth)` Sets the output width.
    `AliyunVideoParam.Builder` | `scaleMode(VideoDisplayMode scaleMode)` Sets the video display mode.
    `AliyunVideoParam.Builder` | `scaleRate(float rate)` Sets the ratio of the output resolution to the resolution during editing.
    `AliyunVideoParam.Builder` | `videoCodec(VideoCodecs videoCodecs)` Sets the encoder.
    `AliyunVideoParam.Builder` | `videoQuality(VideoQuality videoQuality)` Sets the video quality.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### frameRate

          public AliyunVideoParam.Builder frameRate(int frameRate)

      Sets the output frame rate.
      Parameters:
        `frameRate` -

    - #### gop

          public AliyunVideoParam.Builder gop(int gop)

      Sets the output GOP size.
      Parameters:
        `gop` - Unit: frames.

    - #### bitrate

          public AliyunVideoParam.Builder bitrate(int bitrate)

      Sets the output bitrate. Unit: kbit/s
      Parameters:
        `bitrate` -

    - #### crf

          public AliyunVideoParam.Builder crf(int crf)

      Sets the CRF value.
      Parameters:
        `crf` - The quality setting of ffmpeg video. The lower the CRF value, the higher the video quality and the larger the file size. Default value: 23.

    - #### outputWidth

          public AliyunVideoParam.Builder outputWidth(int outputWidth)

      Sets the output width.
      Parameters:
        `outputWidth` -

    - #### outputHeight

          public AliyunVideoParam.Builder outputHeight(int outputHeight)

      Sets the output height.
      Parameters:
        `outputHeight` -

    - #### videoQuality

          public AliyunVideoParam.Builder videoQuality(VideoQuality videoQuality)

      Sets the video quality.
      Parameters:
        `videoQuality` -
      See Also:
        `VideoQuality`

    - #### scaleMode

          public AliyunVideoParam.Builder scaleMode(VideoDisplayMode scaleMode)

      Sets the video display mode.
      Parameters:
        `scaleMode` -
      See Also:
        `VideoDisplayMode`

    - #### videoCodec

          public AliyunVideoParam.Builder videoCodec(VideoCodecs videoCodecs)

      Sets the encoder.
      Parameters:
        `videoCodecs` -
      See Also:
        `VideoCodecs`

    - #### scaleRate

          public AliyunVideoParam.Builder scaleRate(float rate)

      Sets the ratio of the output resolution to the resolution during editing.
      Parameters:
        `rate` -
      Returns:

    - #### build

          public AliyunVideoParam build()